> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> List all accounts accessible to the authenticated token. With a partner token, returns all accounts across the partner's groups. With a user token, returns accounts the user is a member of. Supports filtering by `onboarding_status`.



## OpenAPI

````yaml get /accounts
openapi: 3.1.0
info:
  title: CookieChimp API
  description: API for CookieChimp.com
  version: 1.0.1
servers:
  - url: https://cookiechimp.com/api/v1
security:
  - authorization: []
paths:
  /accounts:
    get:
      tags:
        - Account
      summary: List accounts
      description: >-
        List all accounts accessible to the authenticated token. With a partner
        token, returns all accounts across the partner's groups. With a user
        token, returns accounts the user is a member of. Supports filtering by
        `onboarding_status`.
      operationId: listAccounts
      parameters:
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/onboarding_status'
      responses:
        '200':
          description: List of accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/AccountPagination'
                    type: object
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account'
components:
  parameters:
    per_page:
      name: per_page
      in: query
      description: Number of records to return per page
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 50
        default: 20
    page:
      name: page
      in: query
      description: Page number
      required: false
      schema:
        type: integer
        default: 1
    onboarding_status:
      name: onboarding_status
      in: query
      description: >
        The status of the account, where:

        - `account_created`: The account has been created.

        - `vendors_setup`: Categories, services or TCF vendors have been set up.

        - `code_installed`: The script has been installed on the user's website.

        - `inactive`: Less than 10 visitors to the user's website in the last 30
        days.

        - `live`: The account is live and operational.
      required: false
      schema:
        type: string
        enum:
          - account_created
          - vendors_setup
          - code_installed
          - inactive
          - live
  schemas:
    AccountPagination:
      allOf:
        - $ref: '#/components/schemas/BasePagination'
      example:
        prev_url: /api/v1/accounts?page=
        next_url: /api/v1/accounts?page=2
        count: 4
        page: 1
        prev: null
        next: 2
    Account:
      type: object
      allOf:
        - $ref: '#/components/schemas/AccountWrite'
      properties:
        id:
          type: string
          readOnly: true
          description: Unique identifier for the group
        name:
          type: string
          readOnly: true
          description: Domain of the account
        allowed_domains:
          type: array
          items:
            type: string
          readOnly: true
          description: List of allowed domains the the script will run on
        owner_id:
          type: string
          readOnly: true
          description: ID of the account user that owns the account
        onboarding_status:
          type: string
          readOnly: true
          description: >
            The status of the account, where:

            - `account_created`: The account has been created.

            - `vendors_setup`: Categories, services or TCF vendors have been set
            up.

            - `code_installed`: The script has been installed on the user's
            website.

            - `inactive`: Less than 10 visitors to the user's website in the
            last 30 days.

            - `live`: The account is live and operational.
        visitor_stats:
          type: object
          readOnly: true
          description: Visitor statistics for the account
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date and time when the account was created
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: Date and time when the account was last updated
      example:
        id: abc123
        name: example.com
        allowed_domains:
          - example.net
          - example.org
        owner_id: xyz123
        onboarding_status: live
        visitor_stats:
          comparison: vs. Last 30 days
          statistics:
            views:
              count: 1471
              rate_of_change: 3.37
            consents:
              count: 213
              rate_of_change: 25.29
            unique_visitors:
              count: 895
              rate_of_change: 42.06
          raw_data:
            views:
              current_period: 1471
              previous_period: 1423
            consents:
              current_period: 213
              previous_period: 170
            unique_visitors:
              current_period: 895
              previous_period: 630
        created_at: '2022-12-20T18:45:00Z'
        updated_at: '2023-01-10T19:00:00Z'
    BasePagination:
      type: object
      properties:
        prev_url:
          type: string
          description: Path to get previous page
        next_url:
          type: string
          description: Path to get next page
        count:
          type: integer
          description: Total number of pages
        page:
          type: integer
          description: Current page
        prev:
          type: integer
          description: Previous page number
        next:
          type: integer
          description: Next page number
    AccountWrite:
      type: object
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      description: API token obtained from the login endpoint or the dashboard

````